Subject: Re: [PATCH 0/5 v2] Fix NVMe driver support on Power with 32-bit DMA

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 03 Oct 2015 06:51:06 +1000

On Fri, 2015-10-02 at 13:09 -0700, Nishanth Aravamudan wrote:

> 1) add a generic dma_get_page_shift implementation that just returns
> PAGE_SHIFT

So you chose to return the granularity of the iommu to the driver
rather than providing a way for the driver to request a specific
alignment for DMA mappings. Any specific reason ?

Cheers,
Ben.